---
dependency:
  name: galaxy
  options:
    role-file: ../requirements.yml
driver:
  name: vagrant
  provider:
    name: virtualbox

platforms:
  - name: instance
    box: generic/centos8
#  - name: instance-ubu
#    # 20.10
#    box: ubuntu/groovy64
    groups:
      - k3s
      - k8sMasters
  - name: instance-lts
    # 20.04 lts
    box: ubuntu/focal64
    groups:
      - k3s
      - k8sMasters
#    instance_raw_config_args:
#      - "vm.network 'forwarded_port', guest: 80, host: 8088"

#driver:
#  name: docker
#platforms:
#  - name: instance-deb
#    image: geerlingguy/docker-ubuntu2004-ansible
#    #command: /sbin/init
#    #security_opts:
#    #  - seccomp=path/to/seccomp.json
#    tmpfs:
#      - /run
#      - /tmp
#    volumes:
#      - /sys/fs/cgroup:/sys/fs/cgroup:ro
#    groups:
#      - k3s
#      - k8sMasters
#
#  - name: instance
#    image: centos:8
#    command: /sbin/init
#    tmpfs:
#      - /run
#      - /tmp
#    volumes:
#      - /sys/fs/cgroup:/sys/fs/cgroup:ro
#    groups:
#      - k3s
#      - k8sMasters    
provisioner:
  name: ansible
  inventory:
    links:
      group_vars: ../../tests/inventory/group_vars/  
verifier:
  name: ansible
scenario:
  name: default
  test_sequence:
    - lint
    - destroy
    - dependency
    - syntax
    - create
    - prepare
    - converge
    - side_effect
    - verify
    - destroy